<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="158dp"
    android:layout_height="67dp"
    android:padding="10dp"
    tools:background="#1C4892">

    <ImageView
        android:id="@+id/sensorIcon"
        android:layout_width="24dp"
        android:layout_height="24dp"
        android:contentDescription="@null"
        android:scaleType="centerInside"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:src="@mipmap/icon_sy_temperature" />

    <LinearLayout
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="20dp"
        android:orientation="vertical"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@id/sensorIcon"
        app:layout_constraintTop_toTopOf="parent">

        <TextView
            android:id="@+id/sensorName"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:ellipsize="end"
            android:maxLines="1"
            android:textColor="@color/white"
            android:textSize="11sp"
            tools:ignore="SmallSp"
            tools:text="温度" />

        <TextView
            android:id="@+id/sensorValue"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="12dp"
            android:textColor="@color/white"
            android:textSize="12sp"
            tools:text="35°" />

    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>